--- res/res_format_attr_opus.c.unchanged	2016-10-27 18:51:16.000000000 +0000
+++ res/res_format_attr_opus.c	2016-11-11 11:44:32.075437000 +0000
@@ -102,27 +102,30 @@
 
 static void sdp_fmtp_get(const char *attributes, const char *name, int *attr)
 {
-	const char *kvp = "";
+	const char *kvp = attributes;
 	int val;
 
-	if (attributes && !(kvp = strstr(attributes, name))) {
-		return;
-	}
-
 	/*
 	 * If the named attribute is not at the start of the given attributes, and
 	 * the preceding character is not a space or semicolon then it's not the
 	 * attribute we are looking for. It's an attribute with the name embedded
 	 * within it (e.g. ptime in maxptime, stereo in sprop-stereo).
 	 */
-	if (kvp != attributes && *(kvp - 1) != ' ' && *(kvp - 1) != ';') {
-		/* Keep searching as it might still be in the attributes string */
-		sdp_fmtp_get(strchr(kvp, ';'), name, attr);
-	/*
-	 * Otherwise it's a match, so retrieve the value and set the attribute.
-	 */
-	} else if (sscanf(kvp, "%*[^=]=%30d", &val) == 1) {
+
+	while (*kvp)
+	{
+		while (*kvp == ' ')
+			++kvp;
+		if (!strncmp(attributes, kvp, strlen(attributes)) && kvp[strlen(attributes)] == '=')
+		{
+			if (sscanf(kvp, "%*[^=]=%30d", &val) == 1)
 		*attr = val;
+			break;
+		}
+
+		if (!(kvp = strchr(kvp, ';')))
+			break;
+		++kvp;
 	}
 }
 
